Bridge II


#1

My newly installed Bridge II says no updates are available but it is running Yale with the following readings: Boatloader 1.13, Firmware 1.6.4,Bridge 1.2.5,FPGA 0.91 USB 00.33 & Rev 0126. I have downloaded Roon and it says to make sure I have the latest software. Under software updates the system states NA but if it is still using Yale how can it be current?


#2

Only the Bridge firmware can be updated from the DS screen. You need to update your DS to Torreys in order to install the Birdge II firmware that Roon needs. You need to download Torreys (click on Resources at the top of the screen then Downloads). Copy the files to the SD card (root level, not in a folder), insert the SD card and reboot your DS. Then update your Bridge firmware from the DS screen.


#3

Remember that the firmware for the DirectStream DAC and the Bridge are separate things. You are running Yale, which is an old version of the DS firmware, as well as an old version of the Bridge firmware.

I would begin by upgrading the DS to Torreys. Then check and see if the Bridge acknowledges that new firmware is available. Give it a few hours since the updates are not always immediately visible. If necessary, you can then download the current bridge firmware from the downloads section of the PSA website.

Also, just to doublecheck the obvious, I assume that you have a working internet connection going into the Bridge. The Bridge should update when a connection is present, but updating the DS firmware is a manual operation involving an SD.

edit: Steve posted his reply while I was typing.


#4

Thanks Stevem2 & Magister. I had Torreys installed in the system before installing the Bridge but when I insert the Bridge card it pops up with Yale. I tried reloading Torreys but as soon as I installed the SD card for the Bridge it went back to Yale which I haven’t used since Torrey’s came out. Also ,I do have a working internet connection on the DSD.


#5
lwin1949 said

I had Torreys installed in the system before installing the Bridge but when I insert the Bridge card it pops up with Yale. I tried reloading Torreys but as soon as I installed the SD card for the Bridge it went back to Yale


Now that is downright bizarre. I think a call to tech support is in order, or maybe Ted will see this and have some idea about why such a thing could happen. Doing a manual update of the Bridge firmware might fix this, but let’s see what the PSA folks have to say.

#6

That’s a new one on me. You might have a corrupt file or something. I’d suggest installing an earlier version of the DS firmware and then install Torreys again using a new download on a clean SD card (i.e., erase all the old files or, better, reformat it).


#7

If you have a windows system availible, I can send you a way to update the bridgeII code manually. Email me at dennis@psaudio.com

Dennis


#8

Thank you Dennis> After a little bit of work, the Windows download you gave me did the trick. Not only do I have Torrey’s but the Bridge connection is stable. Before the correction, I usually I to reboot the settings to get the Bridge connection icon in the left hand corner.


#9

I had the exact same experience when I installed Bridge II yesterday. My DSD had Torreys before installing, and after rebooting with the supplied SD-card, it ends up with Yale. Firmware update on the settings page says N/A. I updated with my DSD Toreys again, and it seems to work as it should, but I’m not sure if I have the latest and greatest of everything??

On my setup page it says:

Bootloader: 1.13
Firmware: 1.8.8
Bridge: 0.0.0
FPGA: 0.112
USB: 00.33
Rev: 0137

Can anyone confirm that this is up to date?


#10

I made exactly the same mistake. The supplied SD card contains firmware (Yales) for DSD not for Bridge II. Flashing with the supplied SDCard will bring it back to yales


#11
Bootloader: 1.13 Firmware: 1.8.8 Bridge: 0.0.0 FPGA: 0.112 USB: 00.33 Rev: 0137
Those are the correct numbers for Torreys Final.

#12

So, what does Bridge 0.0.0 mean? I see that the thread starter has 1.2.5 and looking at the downloads page the latest version is 2.15, but my DSD says N/A on Firmware Upgrade. How do I know if my Bridge is up to date?


#13

The 0.0.0 is a bug in Torreys. It will be fixed in the next release.


#14

What is the latest official (stable, non beta) version for Bridge II?


#15

FWIW, I am running Bridge II firmware v2.9.14.


#16

@Dennis: will the upcoming Bridge II firmware solve my reported problems with not all FLAC’s being played by the Bridge II?

It is now a problem for quite some time now…

Thanks


#17
adriaan said

@Dennis: will the upcoming Bridge II firmware solve my reported problems with not all FLAC’s being played by the Bridge II?

It is now a problem for quite some time now…

Thanks


Hopefully, If I remember you sent me a couple files, which I forwarded to the developers.

Dennis


#18

Yes I have sent you a couple of FLAC files, both PCM/16 and PCM/24.

It would be nice if someone would test the new firmware first before releasing it, take into account these problematic FLAC files.

Thanks


#19

I forwarded those files to the bridge developers, so this issue should be taken care of.

Dennis


#20

Hi Dennis, I’m a bit confused

My Dac currently shows rev 0136, bridge 1.2.5, firmware update not available. I only use the dac with bridge driven from JRiver.

Question: Can I update to Huron with my current version of Bridge?

Why does bridge firmware update say ‘Not Available’ . My home network is connected to the internet